Package org.apache.sling.auth.oauth_client.spi

# Interface LoginCookieManager

public interface LoginCookieManager
This class is responsible for managing authentication cookie.

## Method Summary

Modifier and Type
Method
Description
`@Nullable javax.servlet.http.Cookie`
`getLoginCookie(@NotNull javax.servlet.http.HttpServletRequest request)`
Get the login cookie from the request.
`void`
`setLoginCookie(@NotNull javax.servlet.http.HttpServletRequest request, @NotNull javax.servlet.http.HttpServletResponse response, @NotNull javax.jcr.Credentials creds)`
Set the login cookie in the response after a successful authentication.
`@Nullable org.apache.sling.auth.core.spi.AuthenticationInfo`
`verifyLoginCookie(@NotNull javax.servlet.http.HttpServletRequest request)`
Verify the login cookie in the request.

## Method Details

### setLoginCookie

void setLoginCookie(@NotNull @NotNull javax.servlet.http.HttpServletRequest request, @NotNull @NotNull javax.servlet.http.HttpServletResponse response, @NotNull @NotNull javax.jcr.Credentials creds)
Set the login cookie in the response after a successful authentication.

Parameters:
  `request` -
  `response` -
  `creds` -

### verifyLoginCookie

@Nullable @Nullable org.apache.sling.auth.core.spi.AuthenticationInfo verifyLoginCookie(@NotNull @NotNull javax.servlet.http.HttpServletRequest request)
Verify the login cookie in the request. If the Authentication Handler do not verify the cookie, return null.

Parameters:
  `request` -
Returns:
  AuthenticationInfo

### getLoginCookie

@Nullable @Nullable javax.servlet.http.Cookie getLoginCookie(@NotNull @NotNull javax.servlet.http.HttpServletRequest request)
Get the login cookie from the request. If the Authentication Handler do not verify the cookie, return null.

Parameters:
  `request` -
Returns:
  Cookie